[arch-commits] Commit in dbh/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Sat May 2 14:27:25 EDT 2009


    Date: Saturday, May 2, 2009 @ 14:27:25
  Author: eric
Revision: 37526

Fixed svn conflict

Modified:
  dbh/repos/extra-x86_64/	(properties)
  dbh/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)


Property changes on: dbh/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /dbh/trunk:1
   + /dbh/trunk:1-37525

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-05-02 18:26:31 UTC (rev 37525)
+++ extra-x86_64/PKGBUILD	2009-05-02 18:27:25 UTC (rev 37526)
@@ -2,18 +2,19 @@
 # Maintainer: aurelien <aurelien at archlinux.org>
 pkgname=dbh
 pkgver=1.0.24
-pkgrel=2
+pkgrel=3
 pkgdesc="A library to create Disk Based Hashtables on POSIX systems"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 url="http://dbh.sourceforge.net/"
+license=('LGPL')
 depends=('glibc')
-source=(http://dl.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.gz)
+options=('!libtool')
+source=(http://downloads.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.gz)
 md5sums=('42e122a321089f2429986d0d161ed92a')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
-  find $startdir/pkg -name '*.la' -exec rm {} \;
+  make DESTDIR=$pkgdir install || return 1
 }



More information about the arch-commits mailing list